# studio::Widget_RendDesc Class Reference

`#include <renddesc.h>`

List of all members.

## Public Member Functions

sigc::signal< void > & | signal_changed ()
| Widget_RendDesc ()
| ~Widget_RendDesc ()
void | set_rend_desc (const synfig::RendDesc &rend_desc)
| Sets the RendDesc.
void | apply_rend_desc (const synfig::RendDesc &rend_desc)
| Applies the given RendDesc to the current RendDesc.
const synfig::RendDesc & | get_rend_desc ()
| Retrieves the current RendDesc.
void | disable_time_section ()
void | enable_time_section ()
void | refresh ()

## Classes

struct | UpdateLock

## Constructor & Destructor Documentation

Widget_RendDesc::Widget_RendDesc | ( |  | ) |

References _.

Widget_RendDesc::~Widget_RendDesc | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::Widget_RendDesc::signal_changed | ( |  | ) | `[inline]`

Referenced by studio::CanvasProperties::CanvasProperties(), and studio::RenderSettings::RenderSettings().

void Widget_RendDesc::set_rend_desc | ( | const synfig::RendDesc & | rend_desc | ) |

Sets the RendDesc.

References refresh().

Referenced by apply_rend_desc(), studio::CanvasProperties::refresh(), and studio::RenderSettings::RenderSettings().

void Widget_RendDesc::apply_rend_desc | ( | const synfig::RendDesc & | rend_desc | ) |

Applies the given RendDesc to the current RendDesc.

References set_rend_desc().

const synfig::RendDesc & Widget_RendDesc::get_rend_desc | ( |  | ) |

Retrieves the current RendDesc.

void Widget_RendDesc::disable_time_section | ( |  | ) |

void Widget_RendDesc::enable_time_section | ( |  | ) |

Referenced by studio::RenderSettings::RenderSettings().

void Widget_RendDesc::refresh | ( |  | ) |

References DPM2DPI, METERS2INCHES, studio::Widget_Time::set_fps(), studio::Widget_Vector::set_value(), and studio::Widget_Time::set_value().

Referenced by set_rend_desc().

The documentation for this class was generated from the following files:

- renddesc.h
- renddesc.cpp